<?php
/*
 * @package swp-eventpress
 * @since 1.0.0
*/
if (!class_exists('Swp_EventPress_Custom_Post_Type')) {
    class Swp_EventPress_Custom_Post_Type
    {

        private static $instance;

        function __construct()
        {

            add_action('init', array($this, 'create_post_type'));
        }

        /**
         * getInstance();
         * @since 1.0.0
         * */
        public static function getInstance()
        {
            if (null == self::$instance) {
                self::$instance = new self();
            }
            return self::$instance;
        }

        function create_post_type()
        {
            $labels = array(
                'name'                  => esc_html__('Event',  'swp-eventpress'),
                'singular_name'         => esc_html__('Event',  'swp-eventpress'),
                'menu_name'             => esc_html__('Event', 'swp-eventpress'),
                'name_admin_bar'        => esc_html__('Event', 'swp-eventpress'),
                'add_new'            => esc_html__('Add New Event', 'swp-eventpress'),
                'add_new_item'       => esc_html__('Add New Event', 'swp-eventpress'),
                'new_item'           => esc_html__('New Event', 'swp-eventpress'),
                'edit_item'          => esc_html__('Edit Event', 'swp-eventpress'),
                'view_item'          => esc_html__('View Event', 'swp-eventpress'),
                'all_items'          => esc_html__('All Event', 'swp-eventpress'),
                'search_items'       => esc_html__('Search Event', 'swp-eventpress'),
                'parent_item_colon'  => esc_html__('Parent : Event', 'swp-eventpress'),
                'not_found'          => esc_html__('No Event found.', 'swp-eventpress'),
                'not_found_in_trash' => esc_html__('No Event found in Trash.', 'swp-eventpress'),
                'not_found_in_trash' => esc_html__('Event', 'swp-eventpress'),
                // Overrides the “Featured Image” label
                'featured_image'        => esc_html__('Event Image', 'swp-eventpress'),

                // Overrides the “Set featured image” label
                'set_featured_image'    => esc_html__('Set Event image', 'swp-eventpress'),

                // Overrides the “Remove featured image” label
                'remove_featured_image' => esc_html__('Remove Event image', 'swp-eventpress'),

                // Overrides the “Use as featured image” label
                'use_featured_image'    => esc_html__('Use as Event image', 'swp-eventpress'),

            );

            register_post_type(
                'event',
                array(
                    'labels'             => $labels,
                    'public'             => true,
                    'supports'            => array('title', 'editor', 'thumbnail', 'author'),
                    'hierarchical'       => false,
                    'rewrite'            => array('slug' => 'event'),
                    'menu_icon'          => 'dashicons-images-alt2',
                    'has_archive' => true,
                )
            );
        }
    } // end class


    if (class_exists('Swp_EventPress_Custom_Post_Type')) {
        Swp_EventPress_Custom_Post_Type::getInstance();
    }
} //endif 
