<?php
/*
 * @package swp-eventpress
 * @since 1.0.0
*/
if (!class_exists('Swp_JobPress_Custom_Taxonomy')) {
    class Swp_JobPress_Custom_Taxonomy
    {

        private static $instance;

        function __construct()
        {

            add_action('init', array($this, 'create_taxonomy'));
        }

        /**
         * getInstance();
         * @since 1.0.0
         * */
        public static function getInstance()
        {
            if (null == self::$instance) {
                self::$instance = new self();
            }
            return self::$instance;
        }

        function create_taxonomy()
        {
            $labels = array(
                'name'              => esc_html__('Categories',  'swp-eventpress'),
                'singular_name'     => esc_html__('Category', 'swp-eventpress'),
                'search_items'      => esc_html__('Search Categories', 'swp-eventpress'),
                'all_items'         => esc_html__('All Categories', 'swp-eventpress'),
                'parent_item'       => esc_html__('Parent Category', 'swp-eventpress'),
                'parent_item_colon' => esc_html__('Parent Category:', 'swp-eventpress'),
                'edit_item'         => esc_html__('Edit Category', 'swp-eventpress'),
                'update_item'       => esc_html__('Update Category', 'swp-eventpress'),
                'add_new_item'      => esc_html__('Add New Category', 'swp-eventpress'),
                'new_item_name'     => esc_html__('New Category Name', 'swp-eventpress'),
                'menu_name'         => esc_html__('Category', 'swp-eventpress'),
            );

            $args = array(
                'hierarchical'      => true,
                'labels'            => $labels,
                'show_ui'           => true,
                'show_admin_column' => true,
                'query_var'         => true,
                'rewrite'           => array('slug' => 'event-category'),
            );

            register_taxonomy('event_cat', array('event'), $args);
        } //end function



    } // end class


    if (class_exists('Swp_JobPress_Custom_Taxonomy')) {
        Swp_JobPress_Custom_Taxonomy::getInstance();
    }
} //endif 