<?php
/*
 * @package swp-eventpress
 * @since 1.0.0
*/

//eventpress post meta
if (class_exists('CSF')) {

  $swp_eventpress_prefix = 'swp';

  CSF::createMetabox($swp_eventpress_prefix . '_eventpress_meta', array(
    'title' => esc_html__('Event Information', 'swp-eventpress'),
    'post_type' => 'event',
  ));

  CSF::createSection($swp_eventpress_prefix . '_eventpress_meta', array(
    'fields' => array(
      array(
        'id'    => 'enable_custom_url',
        'type'  => 'switcher',
        'title' => esc_html__('Enable Custom Event Url', 'swp-eventpress'),
        'desc' => esc_html__('Enable it to give support custom url for event', 'swp-eventpress'),
        'default' => false
      ),
      array(
        'id' => 'custom_url',
        'type' => 'text',
        'title' => esc_html__('Insert Custom Job Url', 'swp-eventpress'),
        'dependency' => array('enable_custom_url', '==', 'true'),
      ),
      array(
        'id' => 'btn_txt',
        'type' => 'text',
        'title' => esc_html__('Read More Button Label', 'swp-eventpress'),
        'default' => esc_html__('More Details', 'swp-eventpress')
      ),
      array(
        'id'        => 'event_info',
        'type'      => 'group',
        'title'     => esc_html__('Event Info', 'swp-eventpress'),
        'fields'    => array(
          array(
            'id'    => 'info_text',
            'type'  => 'text',
            'title' => esc_html__('Info Text', 'swp-eventpress'),
            'default' => esc_html__('Total Seat 150', 'swp-eventpress')
          ),
          array(
            'id'    => 'info_icon',
            'type'  => 'icon',
            'title' => esc_html__('Info Icon', 'swp-eventpress'),
            'default' => 'fas fa-user'
          ),
        ),
      ),
      array(
        'id' => 'summary',
        'type' => 'textarea',
        'title' => esc_html__('Summary', 'swp-eventpress'),
        'default' =>  esc_html__('Default Summary Text', 'swp-eventpress')
      ),
      array(
        'id'    => 'event_date',
        'type'  => 'date',
        'title' => esc_html__('Event Date', 'swp-eventpress'),
      ),
    )
  ));
}
