<?php
/*
 * isotope one template
*/
if ($settings['style'] == 'style-1') :
?>
    <!-- Event Card 19 -->
    <section class="shop-area style-19 swp-isotope-area" data-filter-section="<?php echo esc_attr(uniqid()); ?>">
        <div class="swp-container">

            <div class="isotope-filters swp-isotope-btn swp-isotope-btn-radius <?php echo esc_attr($swp_event_filter_btn_position); ?> text-center ">
                <button class="button active" data-filter="*"><?php echo esc_html__('All', 'swp-eventpress'); ?></button>

                <?php
                if (is_array($settings['select_cat'])) :
                    foreach ($settings['select_cat'] as $term) :
                ?>
                        <button class="button" data-filter=".<?php echo strtolower(preg_replace('/[^a-zA-Z]+/', '-', swp_eventpress_get_cat_slug($term))); ?>"><?php echo esc_html(swp_eventpress_get_cat_name($term)); ?></button>
                        <?php endforeach;
                else :
                    $taxonomy = 'event_cat';
                    $terms = get_terms($taxonomy); // Get all terms of a taxonomy
                    if ($terms && !is_wp_error($terms)) :
                        foreach ($terms as $term) { ?>
                            <button class="button" data-filter=".<?php echo strtolower(preg_replace('/[^a-zA-Z]+/', '-', $term->slug)); ?>"><?php echo esc_html($term->name); ?></button>
                <?php }
                    endif;
                endif; ?>

            </div>

            <div class="swp-section">
                <div class="swp-isotope swp-row">
                    <?php if (!\Elementor\Plugin::$instance->editor->is_edit_mode()) : ?>
                        <div class="swp-sizer col-1"></div>
                    <?php endif; ?>
                    <!-- swp item start here -->
                    <?php
                    if ($swp_eventpress_posts_query->have_posts()) :
                        while ($swp_eventpress_posts_query->have_posts()) : $swp_eventpress_posts_query->the_post();
                            $swp_eventpress_meta = get_post_meta(get_the_id(), 'swp_eventpress_meta');
                            $terms = get_the_terms(get_the_ID(), 'event_cat');

                    ?>
                            <div class="swp-item swp-col-lg-<?php echo esc_attr($settings['layout']); ?> swp-col-sm-6 
                            <?php if (is_array($terms)) :
                                foreach ($terms as $term) {
                                    echo strtolower(preg_replace('/[^a-zA-Z]+/', '-', $term->slug)) . ' ';
                                }
                            endif;  ?>
                            ">
                                <div class="swp-single-inner">
                                    <div class="icon-img">
                                        <a <?php echo esc_attr(('new-window' == $settings['open-url'] ? 'target="_blank"' : '')); ?> <?php if (!empty($swp_eventpress_meta[0]['enable_custom_url'])) : ?> href="<?php echo esc_url($swp_eventpress_meta[0]['custom_url']); ?>" <?php else : ?> href="<?php the_permalink(); ?>" <?php endif; ?>>
                                            <?php the_post_thumbnail('swp_eventpress_370x270'); ?>
                                        </a>
                                        <?php if (isset($swp_eventpress_meta[0]['event_date'])) : ?>
                                            <div class="swp-badge-btn-wrap swp-badge-btn-left-bottom">
                                                <div class="swp-badge-btn-2">
                                                    <?php echo esc_html(date_i18n('d M Y', strtotime($swp_eventpress_meta[0]['event_date']))); ?>
                                                </div>
                                            </div>
                                        <?php endif; ?>
                                    </div>
                                    <div class="content-box">

                                        <<?php echo esc_attr($settings['titltag']); ?> class="inner-title swp-mb-10"">
                                        <a <?php echo esc_attr(('new-window' == $settings['open-url'] ? 'target="_blank"' : '')); ?> <?php if (!empty($swp_eventpress_meta[0]['enable_custom_url'])) : ?> href=" <?php echo esc_url($swp_eventpress_meta[0]['custom_url']); ?>" <?php else : ?> href="<?php the_permalink(); ?>" <?php endif; ?>>
                                            <?php
                                            if ('full' == $settings['dtitle']) :

                                                the_title();

                                            else :
                                                echo esc_html(wp_trim_words(get_the_title(), $settings['title_excerpt_length'], ''));
                                            endif;
                                            ?>
                                            </a>
                                        </<?php echo esc_attr($settings['titltag']); ?>>
                                        <?php if (!empty($swp_eventpress_meta[0]['summary'])) : ?>
                                            <p><?php echo esc_html($swp_eventpress_meta[0]['summary']); ?></p>
                                        <?php endif; ?>
                                        <?php if ('yes' == $settings['enable_read_more']) : ?>
                                            <a <?php echo esc_attr(('new-window' == $settings['open-url'] ? 'target="_blank"' : '')); ?> class="swp-btn swp-btn-white swp-mt-20 swp-w-100" <?php if (!empty($swp_eventpress_meta[0]['enable_custom_url'])) : ?> href="<?php echo esc_url($swp_eventpress_meta[0]['custom_url']); ?>" <?php else : ?> href="<?php the_permalink(); ?>" <?php endif; ?>>
                                                <?php echo esc_html($swp_eventpress_meta[0]['btn_txt']); ?> <i class="fa fa-arrow-right"></i></a>
                                        <?php endif; ?>
                                    </div>
                                </div>
                            </div>

                        <?php endwhile; ?>
                    <?php
                        wp_reset_postdata();
                    else :
                    ?>
                        <h3 class="no-post-found"><?php esc_html_e('Sorry, No Event Found', 'swp-eventpress') ?></h3>
                    <?php endif; ?>
                </div>
                <?php include swp_eventpress_get_template('pagination.php'); ?>
            </div>
        </div>
    </section>
    <!-- Event Card 19 -->
<?php endif; ?>