<?php
/*
 * list one template
*/
if ($settings['style'] == 'style-1') :

?>
    <!-- Event Card 7 -->
    <section class="shop-area style-7">

        <div class=" slider-control-base owl-carousel swp-eventpress-carousel " data-owl-options='{
            "loop": true,
            "autoplay":<?php echo esc_attr(('yes' == $settings['loop']) ? 'true' : 'false'); ?>,
            "autoplayHoverPause":true,
            "margin": <?php echo esc_attr($settings['margin']['size']); ?>,
            "nav": <?php echo esc_attr('yes' == $settings['enable_nav']) ? 'true' : 'false'; ?>,
            "dots": <?php echo esc_attr('yes' == $settings['enable_dots']) ? 'true' : 'false'; ?>,
            "navText": [
                "<i class=\"  <?php echo esc_attr($settings['nav_left_icon']['value']) ?>\"></i>",
                "<i class=\"  <?php echo esc_attr($settings['nav_right_icon']['value']) ?>\"></i>"
                ],
                "smartSpeed": <?php echo esc_attr($settings['smart_speed']['size']); ?> ,
                "responsive":
                {
                    "0": {
                    "items": 1 
                    },
                    "576": {
                    "items": 2               
                    },
                    "992": {
                    "items": <?php echo esc_attr($settings['items']['size']); ?>
                    }                      
                }
        }'>
            <?php
            if ($swp_eventpress_posts_query->have_posts()) :
                while ($swp_eventpress_posts_query->have_posts()) : $swp_eventpress_posts_query->the_post();
                    $swp_eventpress_meta = get_post_meta(get_the_id(), 'swp_eventpress_meta');
                    $category =  get_the_terms(get_the_ID(), 'event_cat');

            ?>
                    <div class="swp-single-inner">
                        <div class="icon-img">
                            <a <?php echo esc_attr(('new-window' == $settings['open-url'] ? 'target="_blank"' : '')); ?> <?php if (!empty($swp_eventpress_meta[0]['enable_custom_url'])) : ?> href="<?php echo esc_url($swp_eventpress_meta[0]['custom_url']); ?>" <?php else : ?> href="<?php the_permalink(); ?>" <?php endif; ?>>
                                <?php the_post_thumbnail('swp_eventpress_370x270'); ?>
                            </a>
                        </div>
                        <div class="content-box">
                            <ul class="swp-meta-inner">
                                <?php if (isset($category[0]->name) && !empty($category[0]->name)) : ?>
                                    <li>
                                        <a class="swp-cat" href="<?php echo esc_url(get_term_link($category[0]->term_id, 'event_cat')); ?>">
                                            <?php echo esc_html($category[0]->name); ?>
                                        </a>
                                    </li>
                                <?php endif; ?>
                                <?php if (isset($swp_eventpress_meta[0]['event_date'])) : ?>
                                    <li><i class="fa fa-calendar-alt"></i>&nbsp;<?php echo esc_html(date_i18n('d M Y', strtotime($swp_eventpress_meta[0]['event_date']))); ?></li>
                                <?php endif; ?>
                            </ul>
                            <<?php echo esc_attr($settings['titltag']); ?> class="inner-title swp-mt-15 swp-mb-10">
                                <a <?php echo esc_attr(('new-window' == $settings['open-url'] ? 'target="_blank"' : '')); ?> <?php if (!empty($swp_eventpress_meta[0]['enable_custom_url'])) : ?> href="<?php echo esc_url($swp_eventpress_meta[0]['custom_url']); ?>" <?php else : ?> href="<?php the_permalink(); ?>" <?php endif; ?>>
                                    <?php
                                    if ('full' == $settings['dtitle']) :

                                        the_title();

                                    else :
                                        echo esc_html(wp_trim_words(get_the_title(), $settings['title_excerpt_length'], ''));
                                    endif;
                                    ?>
                                </a>
                            </<?php echo esc_attr($settings['titltag']); ?>>
                            <?php if (!empty($swp_eventpress_meta[0]['summary'])) : ?>
                                <p><?php echo esc_html($swp_eventpress_meta[0]['summary']); ?></p>
                            <?php endif; ?>
                            <?php if ('yes' == $settings['enable_read_more']) : ?>
                                <a <?php echo esc_attr(('new-window' == $settings['open-url'] ? 'target="_blank"' : '')); ?> class="swp-btn swp-btn-white swp-mt-20 swp-w-100" <?php if (!empty($swp_eventpress_meta[0]['enable_custom_url'])) : ?> href="<?php echo esc_url($swp_eventpress_meta[0]['custom_url']); ?>" <?php else : ?> href="<?php the_permalink(); ?>" <?php endif; ?>>
                                    <?php echo esc_html($swp_eventpress_meta[0]['btn_txt']); ?> <i class="fa fa-arrow-right"></i></a>
                            <?php endif; ?>
                        </div>
                    </div>
                <?php endwhile; ?>
            <?php
                wp_reset_postdata();
            endif; ?>
        </div>
    </section>
    <!-- Event Card 7 -->
<?php endif;
