<?php
/*
 * list one template
*/
if ($settings['style'] == 'style-2') :

?>
    <!-- Event 18 -->
    <section class="shop-area style-18">
        <div class="swp-container">

            <div class="swp-row">
                <div class="swp-col-lg-3">
                    <div class="swp-tab-menu style-two">
                        <ul>
                            <?php
                            if (is_array($settings['select_cat'])) :
                                $i = 1;
                                foreach ($settings['select_cat'] as $term) :
                            ?>
                                    <li>
                                        <a href="#" class="<?php echo ($i == 1 ? 'active ' : ''); ?> swp-default" data-rel="swp-tab2-<?php echo esc_attr($i); ?>">
                                            <?php echo esc_html(swp_eventpress_get_cat_name($term)); ?>
                                        </a>
                                    </li>
                            <?php $i++;
                                endforeach;
                            endif; ?>
                        </ul>
                    </div>
                </div>
                <div class="swp-col-lg-9">
                    <div class="swp-tab-main-box">
                        <?php
                        $i = 1;
                        if (is_array($settings['select_cat'])) :

                            foreach ($settings['select_cat'] as $term) :
                        ?>
                                <div class="swp-tab-box" id="swp-tab2-<?php echo esc_attr($i); ?>" style="<?php echo ($i == 1 ? 'display:block ' : ''); ?>;">
                                    <div class="swp-row">
                                        <?php
                                        $args  = array(
                                            'post_type'           => 'event',
                                            'post_status'         => 'publish',
                                            'ignore_sticky_posts' => 1,
                                            'posts_per_page'      => $settings['ppr'],
                                        );

                                        if ($settings['orderby'] == 'event_date') {
                                            $args['meta_key'] = 'swp_event_date';
                                            $args['orderby'] = 'meta_value_num';
                                            $args['order'] = $settings['order'];
                                        } else {
                                            $args['orderby'] = $settings['orderby'];
                                            $args['order']   = $settings['order'];
                                        }



                                        $args['tax_query'][] = array(
                                            'taxonomy' => 'event_cat',
                                            'field'    => 'term_id',
                                            'terms'    => $term,
                                            'operator' => 'IN',
                                        );

                                        if (!empty($settings['exclude_cat'])) {
                                            $args['tax_query'][] = array(
                                                'taxonomy' => 'event_cat',
                                                'field'    => 'id',
                                                'terms'    => array_values($settings['exclude_cat']),
                                                'operator' => 'NOT IN'
                                            );
                                        }

                                        if ('past' == $settings['event_type']) {
                                            $args['meta_query'][] = array(
                                                'key' => 'swp_event_date',
                                                'value' => strtotime('today'),
                                                'compare' => '<',
                                                'type' => 'NUMERIC'
                                            );
                                        }

                                        if ('future' == $settings['event_type']) {
                                            $args['meta_query'][] = array(
                                                'key' => 'swp_event_date',
                                                'value' => strtotime('today'),
                                                'compare' => '>',
                                                'type' => 'NUMERIC'
                                            );
                                        }

                                        $swp_eventpress_posts_query = new \WP_Query($args);

                                        if ($swp_eventpress_posts_query->have_posts()) :
                                            while ($swp_eventpress_posts_query->have_posts()) : $swp_eventpress_posts_query->the_post();
                                                $swp_eventpress_meta = get_post_meta(get_the_id(), 'swp_eventpress_meta');


                                        ?>
                                                <div class="swp-col-lg-4 swp-col-sm-6">
                                                    <div class="swp-single-inner">
                                                        <div class="icon-img">
                                                            <a <?php echo esc_attr(('new-window' == $settings['open-url'] ? 'target="_blank"' : '')); ?> <?php if (!empty($swp_eventpress_meta[0]['enable_custom_url'])) : ?> href="<?php echo esc_url($swp_eventpress_meta[0]['custom_url']); ?>" <?php else : ?> href="<?php the_permalink(); ?>" <?php endif; ?>>
                                                                <?php the_post_thumbnail('swp_eventpress_370x270'); ?>
                                                            </a>
                                                            <?php if (isset($swp_eventpress_meta[0]['event_date'])) : ?>
                                                                <div class="swp-badge-btn-wrap swp-badge-btn-left-bottom">
                                                                    <div class="swp-badge-btn-2">
                                                                        <?php echo esc_html(date_i18n('d M Y', strtotime($swp_eventpress_meta[0]['event_date']))); ?>
                                                                    </div>
                                                                </div>
                                                            <?php endif; ?>
                                                        </div>
                                                        <div class="content-box">
                                                            <<?php echo esc_attr($settings['titltag']); ?> class="inner-title swp-mb-10">
                                                                <a <?php echo esc_attr(('new-window' == $settings['open-url'] ? 'target="_blank"' : '')); ?> <?php if (!empty($swp_eventpress_meta[0]['enable_custom_url'])) : ?> href="<?php echo esc_url($swp_eventpress_meta[0]['custom_url']); ?>" <?php else : ?> href="<?php the_permalink(); ?>" <?php endif; ?>>
                                                                    <?php
                                                                    if ('full' == $settings['dtitle']) :

                                                                        the_title();

                                                                    else :
                                                                        echo esc_html(wp_trim_words(get_the_title(), $settings['title_excerpt_length'], ''));
                                                                    endif;
                                                                    ?>
                                                                </a>
                                                            </<?php echo esc_attr($settings['titltag']); ?>>
                                                            <?php if (!empty($swp_eventpress_meta[0]['summary'])) : ?>
                                                                <p><?php echo esc_html($swp_eventpress_meta[0]['summary']); ?></p>
                                                            <?php endif; ?>
                                                            <?php if ('yes' == $settings['enable_read_more']) : ?>
                                                                <a <?php echo esc_attr(('new-window' == $settings['open-url'] ? 'target="_blank"' : '')); ?> class="swp-btn swp-btn-white swp-mt-20 swp-w-100" <?php if (!empty($swp_eventpress_meta[0]['enable_custom_url'])) : ?> href="<?php echo esc_url($swp_eventpress_meta[0]['custom_url']); ?>" <?php else : ?> href="<?php the_permalink(); ?>" <?php endif; ?>>
                                                                    <?php echo esc_html($swp_eventpress_meta[0]['btn_txt']); ?> <i class="fa fa-arrow-right"></i></a>
                                                            <?php endif; ?>
                                                        </div>
                                                    </div>
                                                </div>
                                        <?php endwhile;
                                        endif; ?>
                                    </div>
                                </div>
                            <?php $i++;
                            endforeach;
                        else : ?>
                            <h3><?php echo esc_html__('Please Select A Category', 'swp-jobpress'); ?></h3>
                        <?php endif;  ?>
                    </div>
                </div>
            </div>
        </div>
        <!-- Event 18 -->
    </section>
<?php endif; ?>